from axipy import Schema, Attribute, CoordSystem, provider_manager
from osgeo import gdal, ogr, osr

from RasterGridTool.toolprocessing.ui.contour.tool_smothing.PrepereContour import prepareContourAxiPy

path_source="E:\\Support\\Irinaalyabina\\ЗапСиб\\климатичНОРМАMi_КН_clip.tif"
ds_source=gdal.Open(path_source)
srcband = ds_source.GetRasterBand(1)
source_src=ds_source.GetProjectionRef()
path_contour="E:\\Support\\Irinaalyabina\\ЗапСиб\\климатичНОРМАMi_КН_clip_contourNoSmoth.tab"
ds_contour=ogr.Open(path_contour)
layer_contour=ds_contour.GetLayer(0)
source_src=ds_source.GetProjectionRef()

out_srs= osr.SpatialReference()
out_srs.ImportFromProj4(source_src)
wkt_cs=out_srs.ExportToWkt()
cs_axipy=CoordSystem.from_wkt(wkt_cs)
schema = Schema(

    Attribute.integer('id'),

    coordsystem=cs_axipy
)
temp_table=provider_manager.shp.open_temporary(schema)
prepareContourAxiPy(srcband,out_srs,layer_contour,None,temp_table)
jkl=0