from RasterGridTool import RasterSource
from RasterGridTool.toolprocessing.grid_io.ColorPaletts import ColorsPalett
from RasterGridTool.toolprocessing.grid_io.ColorTable import ColorTable
from RasterGridTool.toolprocessing.grid_io.VrtGridColor import VrtXml
from RasterGridTool.toolprocessing.ui.addTools.mapTool import reloadRasterTab
from RasterGridTool.toolprocessing.ui.addTools.utils import findGridTabByName


name_tab='Elevation_gtif_color'
raster_tab=findGridTabByName(name_tab)
if raster_tab is not None:
    path_tab=raster_tab.properties['tabFile']
    raster_path=raster_tab.properties['tabFileData']['linkFile']
    cls_colors=ColorsPalett()
    name_pal='Land'
    name_pal='DEM_Print'
    color_table=cls_colors.getColorTable(name_pal)
    ''''
    color_table=ColorTable()
    color_table.initDefault()
    '''
    cls_vrt=VrtXml(raster_path)
    cls_vrt.baseRaster
    cls_vrt.updateColor(color_table)
    reloadRasterTab(raster_tab)