from RasterGridTool.toolprocessing.grid_io.ColorTable import createDefColorMap
from RasterGridTool.toolprocessing.grid_io.GdalSource import RasterSource
from RasterGridTool.toolprocessing.grid_io.VrtGridColor import VrtColorGrid

path_gdal_grid="E:\\Download\\Dem\\ASTGTM2\\ASTGTM2_N41E045\\ASTGTM2_N41E045_num.tif"
path_out="E:\\Download\\Dem\\ASTGTM2\\ASTGTM2_N41E045\\ASTGTM2_N41E045_num.vrt"
path_gdal_grid="E:\\Download\\Dem\\20180313092726_1014067038\\20180313092726_1014067038.tif"
path_out="E:\\Download\\Dem\\20180313092726_1014067038\\vrt20180313092726_1014067038.vrt"
    #path_gdal_grid="E:\\Support\\BigRaster\\Pic5_r_tr.tif"
gd_grid=RasterSource()
isOk=gd_grid.OpenRead(path_gdal_grid)
isGrid=gd_grid.isGrid
vrt=VrtColorGrid(gd_grid)
color_map=createDefColorMap()
id_base_band=1
gd_grid.setBaseBand(id_base_band)
min_v=gd_grid.setBaseBand(id_base_band).GetMinimum()
max_v=gd_grid.setBaseBand(id_base_band).GetMaximum()
list_color=color_map.clacFromDefValue(min_v,max_v)

vrt.write(1,list_color,path_out)
gd_grid.close()