from osgeo import gdal, osr

path_raster=r"E:\Support\GridTest\gel_relf_ptp_axi_grid_200.gpkg"
path_raster_out=r"E:\Support\GridTest\gel_relf_ptp_axi_grid_200_viewshade_dem.tif"
raster = gdal.Open(path_raster)

band = raster.GetRasterBand(1)
x=7425222.3188866
y=4945569.65327936
height=100
out_ds=gdal.ViewshedGenerate(
        srcBand=band,
        driverName='GTiff',
        targetRasterName=path_raster_out,
        creationOptions=[],
        observerX=x,
        observerY=y,
        observerHeight=height,
        targetHeight=0,
        visibleVal=255,
        invisibleVal=0,
        outOfRangeVal=0,
        noDataVal=0,
        dfCurvCoeff=0.85714,
        mode=2,
        maxDistance=0,
        heightMode=2
    )
raster=None

out_ds=None
print("End")