from pathlib import Path

import vtk
from osgeo import gdal
from vtkmodules.vtkIOGeometry import vtkSTLWriter

from RasterGridTool.Vtk.ui.process.gridToTin.rowsToTriangle import gridToTin
from RasterGridTool.Vtk.ui.process.memGrid import MemGrid
from RasterGridTool.toolprocessing.grid_io.VrtGridColorNewPalette import VrtXml

path_grid=r'E:\Support\GridTest\gel_relf_ptp_axi_grid50.gpkg'
path_grid=r'E:\Support\GridTest\gel_relf_ptp_axi_grid.gpkg'
path_stl=r'E:\Support\GridTest\gel_relf_ptp_axi_grid50_dem.stl'
path_base_raster=path_grid
colorTab=None
#path_grid=r'E:\Support\GridTest\gel_relf_ptp_axi_grid_200.gpkg'
#self.__vrt_file = VrtXml(self.__raster_path)
#path_grid=r'E:\Support\GridTest\gel_relf_ptp_axi_grid_color.vrt'
'''
vrt_file = VrtXml(path_grid)
base_raster_list=vrt_file.baseRaster
name_base=base_raster_list[0]['file']
path_base_raster=str(Path(path_grid).parent.joinpath(name_base))
colorTab=vrt_file.colorMap()
'''
ds=gdal.Open(path_base_raster)
band_grd=ds.GetRasterBand(1)
memGrid=MemGrid()
memGrid.Load(ds)

tinPolyData=gridToTin(memGrid,colorTab)
#mapper = vtk.vtkPolyDataMapper()
#mapper.SetInputData(tinPolyData)
stlWriter = vtkSTLWriter()
stlWriter.SetFileName(path_stl)
stlWriter.AddInputDataObject(tinPolyData)
#writer.SetArrayName('Colors')
stlWriter.SetFileTypeToBinary()
stlWriter.Update()
stlWriter.Write()
print("End")
