import time

import axipy
import vtk

from RasterGridTool.Test.Vtk.TestGrid.utils.getPointsGeometry import getPointInPool, getPointsPoolExicutor

max_buf_pool=240
max_buf_pool=120
max_buf_pool=80
pool_size=24
pool_size=8
pool_size=4
pool_size=2
name_table='OrenburgReliefGsk10'
name_field='Level'
table=axipy.data_manager.find(name_table)
print("Start")
ts_row=time.time()
data_pool=[]
vtk_points=vtk.vtkPoints()
for i,ft in enumerate(table.items()):
    if ft.geometry is None:
        continue
    data_pool.append({'z':ft[name_field],'geometry':ft.geometry})
    if len(data_pool)>=max_buf_pool:
        #data_points=getPointInPool(data_pool,24)
        getPointsPoolExicutor(data_pool,pool_size)
        for data_pt in data_pool:
            for pt in data_pt['points']:
                vtk_points.InsertNextPoint(pt.x,pt.y,data_pt['z'])
        data_pool.clear()
    #if i>120000:
        #break
if len(data_pool)>0:
    getPointsPoolExicutor(data_pool, 24)
    for data_pt in data_pool:
        for pt in data_pt['points']:
            vtk_points.InsertNextPoint(pt.x, pt.y, data_pt['z'])
te_row=time.time()
delta_time=te_row-ts_row
print(delta_time)
print("End")