import axipy
from PySide2.QtGui import QIcon
from axipy import view_manager

from RasterGridTool.Vtk.ui.FormTinToGrid import FormTinToGrid
from RasterGridTool.toolprocessing.ui.docWidget import AxiDocWidget, existDocWidget, addDoc, DelDocWidget


class TinToGrid:
    __name = 'Создание поверхности из Tin'
    def __init__(self):
        main_windows = view_manager.global_parent
        obj_qt = axipy.app.mainwindow
        self.__docWidget=None
        self.__form_tool = FormTinToGrid(main_windows)
    def run(self):
        if self.__form_tool is None:
            self.__form_tool = FormTinToGrid(view_manager.global_parent)



        if self.__docWidget is None:
            mainwindowAxi = view_manager.global_parent
            self.__docWidget = AxiDocWidget(self.__form_tool.widget, "TinToGrid", self.__name, QIcon(), mainwindowAxi)
            #addDoc(mainwindowAxi, self.__docWidget)
            addDoc(axipy.app.mainwindow.qt_object(), self.__docWidget)
        else:
            try:
                DelDocWidget(axipy.app.mainwindow.qt_object(),self.__docWidget)
                self.__form_tool = FormTinToGrid(axipy.app.mainwindow.qt_object())
                self.__docWidget = AxiDocWidget(self.__form_tool.widget, "TinToGrid", self.__name, QIcon(),
                                                axipy.app.mainwindow.qt_object())
                self.__docWidget = AxiDocWidget(self.__form_tool.widget, "TinToGrid", self.__name, QIcon(),
                                                axipy.app.mainwindow.qt_object())
            except:
                pass
            addDoc(axipy.app.mainwindow.qt_object(), self.__docWidget)


    @property
    def name(self):
        return self.__name