import operator

from osgeo import gdal, ogr

path_source=f"E:\Support\Irinaalyabina\ЗапСиб\климатичНОРМАMi_КН_clip.tif"
ds_source=gdal.Open(path_source)
xres, yres = operator.itemgetter(1,5)(ds_source.GetGeoTransform())
srcband = ds_source.GetRasterBand(1)
dst_layername = "bound_grid"
drv = ogr.GetDriverByName("ESRI Shapefile")
path_out="E:\\Support\\Irinaalyabina\\ЗапСиб\\"+dst_layername
dst_ds = drv.CreateDataSource( path_out + ".shp" )
dst_layer = dst_ds.CreateLayer(dst_layername, srs = None )
field_defn = ogr.FieldDefn('id', ogr.OFTInteger)
dst_layer.CreateField(field_defn)
field_defn = ogr.FieldDefn('level_min', ogr.OFTReal)
dst_layer.CreateField(field_defn)
field_defn = ogr.FieldDefn('level_max', ogr.OFTReal)
dst_layer.CreateField(field_defn)
statistic=srcband.GetStatistics(True,True)
noDataValue=srcband.GetNoDataValue()
interval=[statistic[0],statistic[1]]
converted_list = [str(element) for element in interval]
fix_interval_options="FIXED_LEVELS="
fix_interval_options = fix_interval_options+",".join(converted_list)
options_countour=[]
options_countour.append(fix_interval_options)
options_countour.append('ID_FIELD=0')
options_countour.append('ELEV_FIELD_MIN=1')
options_countour.append('ELEV_FIELD_MAX=2')
options_countour.append('POLYGONIZE=YES')
options_countour.append('NODATA='+str(noDataValue))
gdal.ContourGenerateEx(srcband,dst_layer, options =options_countour)
srcband=None
ds_source=None
dst_layer=None
dst_ds =None
print("End")