from pathlib import Path

from osgeo import gdal

from RasterGridTool.toolprocessing.grid_io.GdalSource import RasterSource

path_gdal_grid="E:\\Download\\Dem\\ASTGTM2\\ASTGTM2_N41E045\\ASTGTM2_N41E045_num.tif"
path_gdal_grid="E:\\Support\\GridTest\\Elevation_gtif.tif"
gd_grid=RasterSource()
isOk=gd_grid.OpenRead(path_gdal_grid)
isGrid=gd_grid.isGrid
path_out_vrt="E:\\Support\\GridTest\\a_test_vrt_d.vrt"
drv = gdal.GetDriverByName("VRT")
vrt = drv.Create(path_out_vrt, gd_grid.width, gd_grid.height, 0)
proj=gd_grid.Projection
vrt.SetProjection(proj)
vrt.AddBand(gdal.GDT_Byte)
band=vrt.GetRasterBand(1)
band.SetNoDataValue(-9999)
band.SetColorInterpretation(gdal.GCI_RedBand)
file_name=str(Path(path_gdal_grid).name)
source_band=1
simple_source = '<SourceFilename relativeToVRT="1">%s</SourceFilename>' % file_name + \
                '<SourceBand>%i</SourceBand>' % source_band + \
                '<SourceProperties RasterXSize="%i" RasterYSize="%i" DataType="Real" BlockXSize="%i" BlockYSize="%i"/>' % (gd_grid.width, gd_grid.height, gd_grid.width, gd_grid.height) + \
                '<SrcRect xOff="%i" yOff="%i" xSize="%i" ySize="%i"/>' % (0, 0, gd_grid.width, gd_grid.height) + \
                '<DstRect xOff="%i" yOff="%i" xSize="%i" ySize="%i"/>' % (0, 0, gd_grid.width, gd_grid.height)
band.SetMetadataItem("SimpleSource", simple_source,"")
del vrt
gd_grid.close()