import math

from osgeo import gdal, ogr, osr


def getMinMax( raster_band):
    pass
path_source="E:\\Support\\GridTest\\point_rf_PHLR_ABS.tif"
ds_source=gdal.Open(path_source)
band_count=ds_source.RasterCount
source_src=ds_source.GetProjectionRef()
out_srs= osr.SpatialReference()
out_srs.ImportFromProj4(source_src)
for id_band in range(band_count):
    curent_band=ds_source.GetRasterBand(id_band+1)
    min_v=curent_band.GetMinimum()
    max_v=curent_band.GetMaximum()
    scale=curent_band.GetScale()
    jkl=0
count_interval=10
delta=max_v-min_v
step=delta/count_interval
step=20
list_interval=[]
count_interval=math.ceil(delta/step)
dv=int(min_v//step)
new_min=step*dv
for i in range(count_interval+1):
    list_interval.append(i*step+new_min)


path_out="E:\\Support\\GridTest\\point_rf_PHLR_ABS_contour.shp"
ogr_ds = ogr.GetDriverByName('ESRI Shapefile').CreateDataSource(path_out)
ogr_lyr = ogr_ds.CreateLayer('contour',out_srs, geom_type=ogr.wkbMultiPolygon)
#ogr_lyr = ogr_ds.CreateLayer('contour',out_srs, geom_type=ogr.wkbLineString)
field_defn = ogr.FieldDefn('ID', ogr.OFTInteger)
ogr_lyr.CreateField(field_defn)
field_defn = ogr.FieldDefn('elevMin', ogr.OFTReal)
ogr_lyr.CreateField(field_defn)
field_defn = ogr.FieldDefn('elevMax', ogr.OFTReal)
ogr_lyr.CreateField(field_defn)

fix_interval_options="FIXED_LEVELS="
converted_list = [str(element) for element in list_interval]
fix_interval_options = fix_interval_options+",".join(converted_list)
options_countour=[]
options_countour.append(fix_interval_options)
options_countour.append('ID_FIELD=0')
options_countour.append('ELEV_FIELD_MIN=1')
options_countour.append('ELEV_FIELD_MAX=2')
options_countour.append('POLYGONIZE=YES')
try:
    gdal.ContourGenerateEx(curent_band, ogr_lyr, options =options_countour)
    #gdal.ContourGenerate(curent_band, 0, 0, list_interval, 0, 0, ogr_lyr, 0, 1)
except Exception as ex:
    jkl=0
ogr_lyr=None
ogr_ds=None
ds_source=None
print("END")
