#RasterSource
import os.path
from pathlib import Path

import axipy
from axipy import Raster

from RasterGridTool import RasterSource
def getRasterTab():
    def isRaster(obj):
        if not isinstance(obj, axipy.Raster):
            return False
        return True
    rasters = list(filter( isRaster, axipy.da.data_manager.objects))
    return rasters
def existRasterTab(list_tab,path_base):
    for i,item in enumerate(list_tab):
        if item['path']==path_base:
            return i
    return None
def getListGridTabNoDuble(list_raster):
    list_grid=[]
    for rast in list_raster:
        path_name=rast.properties['fileName']
        path_name=str(Path(path_name))
        tem_rast=RasterSource()
        isGrid=tem_rast.OpenRead(path_name)
        if isGrid:
            min,max=tem_rast.MinMax
            if tem_rast.IsVrt:
                base_path=tem_rast.vrtBaseGrid
                path_vrt=str(Path(path_name).parent)
                full_base_path=os.path.join(path_vrt,base_path[0]['file'])
                index=existRasterTab(list_grid,full_base_path)
                if index is None:
                    list_grid.append({'raster':rast,'path':full_base_path,'min':min,'max':max})
                else:
                    list_grid.pop(index)
                    list_grid.append({'raster':rast,'path':full_base_path,'min':min,'max':max})
            else:
                index=existRasterTab(list_grid,path_name)
                if index is None:
                    list_grid.append({'raster':rast,'path':path_name,'min':min,'max':max})
        tem_rast.close()
    if len(list_grid)==0:
        return []
    return list_grid
li_raster=getRasterTab()
list_grid_uniqal=getListGridTabNoDuble(li_raster)
jkl=0
'''
list_object=axipy.da.data_manager.all_objects
for dat_obj in list_object:
    if isinstance(dat_obj,Raster):
        path_name=dat_obj.properties['fileName']
        print(path_name)
        tem_rast=RasterSource()
        isGrid=tem_rast.OpenRead(path_name)
        jkl=0
'''


