import sys

from PySide2.QtWidgets import QApplication

from RasterGridTool.toolprocessing.ui.Palette.DlgColorGridNew import DlgColorGridGdal
from RasterGridTool.toolprocessing.ui.Palette.tools.ColorTable import ColorMap, ColorTable

if __name__ == '__main__':
    path_clr=r'C:\MapInfo\mi2019\Professional\Raster\ColorPalettes\DEM_Print.clr'
    app = QApplication(sys.argv)
    dlgtest= DlgColorGridGdal(20,130)
    #dlgtest.LoadPalette(path_clr)
    DefColorMap = ColorMap(path_clr)
    # self.__colorTab=None
    zmin = 20
    zmax = 130
    colorTab = ColorTable(DefColorMap, zmin, zmax)
    dlgtest.setColorTable(colorTab)
    is_ok=dlgtest.exec_()
    #start_time = time.time()
    is_ok=dlgtest.IsOk
    if is_ok:
        params=dlgtest.param_colorize
        #runColorize(params,True)
        pass
    #print("--- %s seconds ---" % (time.time() - start_time))
    sys.exit(app.exec_())