from osgeo import gdal, ogr, osr
def callback_progress(val,val1,val2):
        print(val)
path_raster=r"E:\Support\GridTest\gel_relf_ptp_axi_grid_200.gpkg"
path_raster_out=r"E:\Support\GridTest\1gel_relf_ptp_axi_grid_200_viewshade.tif"
path_out=r"E:\Support\GridTest\gel_relf_ptp_axi_grid_200_viewshade_mem_poly.shp"
raster = gdal.Open(path_raster)
source_src=raster.GetProjectionRef()
out_srs= osr.SpatialReference()
out_srs.ImportFromProj4(source_src)
band = raster.GetRasterBand(1)
#nodataValue=band
x=7425222.3188866
y=4945569.65327936
height=100
out_ds=gdal.ViewshedGenerate(
        srcBand=band,
        driverName='MEM',
        targetRasterName="path_raster_out",
        creationOptions=[],
        observerX=x,
        observerY=y,
        observerHeight=height,
        targetHeight=0,
        visibleVal=255,
        invisibleVal=0,
        outOfRangeVal=0,
        noDataVal=0,
        dfCurvCoeff=0.85714,
        mode=2,
        maxDistance=0,
        callback=callback_progress
    )
#out_ds.GetRasterBand(1).SetNoDataValue(0)
raster=None
drv = ogr.GetDriverByName("ESRI Shapefile")
dst_ds = drv.CreateDataSource( path_out )
drv=ogr.GetDriverByName('MEMORY')
source=drv.CreateDataSource('memData')
dst_layername="view_shade"
dst_layer = dst_ds.CreateLayer(dst_layername, srs = out_srs )
srcband=out_ds.GetRasterBand(1)
mask=srcband.GetMaskBand()
gdal.Polygonize( srcband,mask, dst_layer, -1, [], callback=None )
geo_collection=ogr.Geometry(ogr.wkbGeometryCollection)
for feature in dst_layer:
    geom = feature.GetGeometryRef()
    geo_collection.AddGeometry(geom)
srcband=None
dst_layer=None
dst_ds=None
out_ds=None
print("End")