from pathlib import Path
import xml.etree.ElementTree as ET
from xml.etree.ElementTree import Element, SubElement, Comment
out_xml=r"E:\Support\GridTest\test.axstl"
path_source=r"E:\Support\GridTest\test.stl"
path_dest=Path(out_xml)
rel_path= str(Path(path_source).relative_to(path_dest.parent))

root_axiStl = ET.Element('axiStl')
path_file = SubElement(root_axiStl, 'file')
path_file.text=rel_path
path_cs_mi = SubElement(root_axiStl, 'cs_mi')
path_cs_mi.text='CoordSys NonEarth Units "m"'

xml_str = ET.tostring(root_axiStl, encoding="utf-8", method="xml")
tree = ET.ElementTree(root_axiStl)
with open(out_xml, 'wb') as f:
    tree.write(f, encoding='utf-8', xml_declaration=True)
jkll=0