import time

import axipy
max_buf_pool=24
name_table='OrenburgReliefGsk10'
name_field='Level'
table=axipy.data_manager.find(name_table)
print("Start")
ts_row=time.time()
data_pool=[]
for i,ft in enumerate(table.items()):
    if ft.geometry is None:
        continue
    data_pool.append({'z':ft[name_field],'geometry':ft.geometry})
    if len(data_pool)>=max_buf_pool:
        data_pool.clear()
te_row=time.time()
delta_time=te_row-ts_row
print(delta_time)
print("End")