import axioma
from PyQt5 import QtCore
from vtkmodules.vtkIOGeometry import vtkSTLReader
from vtkmodules.vtkInteractionWidgets import vtkCameraOrientationWidget
from vtkmodules.vtkRenderingCore import vtkPolyDataMapper, vtkActor

from RasterGridTool.Test.Vtk.Viwer.ViewVtkActors import SimpleViewActors

path_stl=r"E:\Support\GridTest\Horizont_newt_opt.stl"
path_stl=r"E:\rubtsov\gelendzhik\gel.stl"
path_stl=r'E:\Support\GridTest\gel_relf_ptp_axi_grid50_dem.stl'
reader = vtkSTLReader()
reader.SetFileName(path_stl)
mapper = vtkPolyDataMapper()
mapper.SetInputConnection(reader.GetOutputPort())
actor = vtkActor()
actor.SetMapper(mapper)
#actor.GetProperty().SetColor(0, 0.5, 1)

window = SimpleViewActors([actor],axioma.app.mainWindow)


window.setWindowTitle("AxiomaVtk")
window.setWindowModality(QtCore.Qt.ApplicationModal)
window.show()

window.iren.Initialize()
