import os

from PySide2.QtCore import QFile
from PySide2.QtUiTools import QUiLoader
from PySide2.QtWidgets import QWidget


class DlgCreateGrid(QWidget):
    def __init__(self,parent=None):
        self.__parentWin=parent

        self.load_ui('DlgCreateGrid.ui')
    def load_ui(self,name_resource):
        loader = QUiLoader()
        path = os.path.join(os.path.dirname(__file__),name_resource)
        ui_file = QFile(path)
        ui_file.open(QFile.ReadOnly)
        self.ui  = loader.load(ui_file,self.__parentWin)
        ui_file.close()
    @property
    def widget(self):
        return self.ui
    def show(self):
        #self.ui.showMaximized()
        #print("Show Form")
        self.ui.show()
