import axipy

from RasterGridTool.toolprocessing.Utils.helper_observer import factoryGridObserver


def factoryObserverGridAndAnyTable(name_observer,name_grid_observer="GridAxi"):
    observer_grid = axipy.ObserverManager.get(name_grid_observer)
    if observer_grid is None:
        observer_grid = factoryGridObserver(name_grid_observer)
    observer=None
    observer=axipy.ObserverManager.get(name_observer)
    if observer is None:
        observer = axipy.ObserverManager.create(name_observer, False)
    def changeGrid():
        if observer_grid.value and observer.value:
            observer.value=True
            return

        if (not observer_grid.value) or (not axipy.ObserverManager.HasTables.value):
            observer.value=False
            return
        observer.value = True
        return
    def changeAnyTable():
        if axipy.ObserverManager.HasTables.value and observer_grid.value:
            observer.value=True
            return
        observer.value = False
        return

    setattr(observer, "changeGrid", changeGrid)
    setattr(observer, "changeAnyTable", changeAnyTable)
    observer_grid.changed.connect(observer.changeGrid)
    axipy.ObserverManager.HasTables.changed.connect(changeAnyTable)
    if axipy.ObserverManager.HasTables.value and observer_grid.value:
        observer.value = True
    return observer