import time

import axipy
from PySide2.QtWidgets import QApplication
from axipy import Layer, provider_manager


class PropertyRasterlayer:
    def __init__(self,tab_raster,brightness):
        pass
def getCurentIndexLayerInMap(layers,tab):
    for i,layer in enumerate(layers):
        if layer.data_object==tab:
            return i
    return -1
def getMapContainTable(tab):
    all_mapview=axipy.gui.view_manager.mapviews
    list_map_for_tab=[]
    for mapview in all_mapview:
        map=mapview.map
        layres=map.layers
        index_layer=getCurentIndexLayerInMap(layres,tab)
        if index_layer>=0:
            list_map_for_tab.append(map)
            continue
    return list_map_for_tab
def addRasterTabLayerUpTab(base_tab,new_tab_up):
    ''' Ищем карты в которые входит слой с базовой растровой таблицей '''
    list_map_raster=getMapContainTable(base_tab)
    new_raster_layer= Layer.create(new_tab_up)
    if len(list_map_raster)==0:
        axipy.app.mainwindow.add_layer_interactive(new_raster_layer)
        return

    isAddToMap=False
    for map in list_map_raster:
        index_tab=getCurentIndexLayerInMap(map.layers,base_tab)
        if index_tab>=0:
            isAddToMap=True
            map.layers.add(new_raster_layer)
            index_new=getCurentIndexLayerInMap(map.layers,new_tab_up)
            if index_new>=index_tab:
                map.layers.move(index_new,index_tab)
    if not isAddToMap:
        axipy.app.mainwindow.add_layer_interactive(new_raster_layer)
def reOpenRaster(tab_raster):
    name_old=tab_raster.name
    path_tab=tab_raster.properties['tabFile']
    #tab_raster.close()
    axipy.da.data_manager.remove(tab_raster)
    tab_raster=None
    QApplication.processEvents()
    tab_raster=provider_manager.openfile(path_tab)
    tab_raster.name=name_old

def reloadRasterTab(tab_raster):
    list_map_raster=getMapContainTable(tab_raster)

    if len(list_map_raster)==0:
        reOpenRaster(tab_raster)
        return
    list_map_and_layer=[]
    for map in list_map_raster:
        index_layer=getCurentIndexLayerInMap(map.layers,tab_raster)
        if index_layer>=0:
            list_map_and_layer.append({'map':map,"id_layer":index_layer})
    for map_index in list_map_and_layer:
        map=map_index['map']
        index=map_index['id_layer']
        layer_grid_color=map.layers[index]
        map.layers.remove(index)
        layer_grid_color=None
        jkl=0
    #time.sleep(5)
    reOpenRaster(tab_raster)
    #return
    #time.sleep(5)
    new_raster_layer= Layer.create(tab_raster)
    for map_index in list_map_and_layer:
        map=map_index['map']
        index=map_index['id_layer']
        map.layers.add(new_raster_layer)
        index_new=getCurentIndexLayerInMap(map.layers,tab_raster)
        if index_new>=index:
            map.layers.move(index_new,index)
    return


